Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Class TerminalInterpreter

    java.lang.Object
      com.mindbright.terminal.TerminalInterpreter

Direct Known Subclasses:
  TerminalDumb, TerminalXTerm

public abstract class TerminalInterpreter
extends java.lang.Object

Field Summary
`static int` | `IGNORE`
`protected CompatTerminal` | `term`

Constructor Summary
`TerminalInterpreter()`

Method Summary
`abstract int` | `interpretChar(char c)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`void` | `mouseHandler(int x, int y, boolean press, int modifiers)`
`void` | `setDumbMode(boolean dumb)`
`void` | `setTerminal(CompatTerminal term)`
`abstract java.lang.String` | `terminalType()`
`void` | `vtReset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### term

    protected CompatTerminal term

### IGNORE

    public static final int IGNORE

See Also:
  Constant Field Values

Constructor Detail

### TerminalInterpreter

    public TerminalInterpreter()

Method Detail

### terminalType

    public abstract java.lang.String terminalType()

### interpretChar

    public abstract int interpretChar(char c)

### vtReset

    public void vtReset()

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

### mouseHandler

    public void mouseHandler(int x,
                             int y,
                             boolean press,
                             int modifiers)

### setTerminal

    public final void setTerminal(CompatTerminal term)

### setDumbMode

    public void setDumbMode(boolean dumb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD